Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class RelativeTable

    java.lang.Object
      mro.util.experimentation.RelativeTable

    public class RelativeTable

extends java.lang.Object

RelativeTable. A class for handling relative entries in a Result Table.

Field Summary
`private java.util.Vector<RelativeEntry>` | `relativeVector`

Constructor Summary
`RelativeTable()`

Method Summary
`void` | `add(RelativeEntry re)`
`java.util.Vector<RelativeEntry>` | `getColumnRelativeVector()`
`java.util.Vector<RelativeEntry>` | `getColumnRowRelativeVector()`
`java.util.Vector<RelativeEntry>` | `getRelativeVector()`
`java.util.Vector<RelativeEntry>` | `getRowColumnRelativeVector()`
`java.util.Vector<RelativeEntry>` | `getRowRelativeVector()`
`static void` | `printDTD(java.io.PrintWriter pw)` Prints the complete DTD of a Table-XML-file to a `PrintWriter`.
`static void` | `printPartDTD(java.io.PrintWriter pw)` Prints the DTD of a Table-XML-file to a `PrintWriter`.
`void` | `printPartXML(java.io.PrintWriter pw)`
`static void` | `printTableXSLReference(java.io.PrintWriter pw)` Prints a reference to the Table-XSL-file to a `PrintWriter`.
`void` | `printXML(java.io.PrintWriter pw)` Prints the Table to a `PrintWriter`.
`void` | `printXSL(java.io.PrintWriter pw)` Prints a basic XSL-file for Table XML-files to a `PrintWriter`.
`void` | `save(java.io.File file)` Saves a Table-object to the specified file.
`void` | `save(java.lang.String fileName)` Saves a Table-object to a file with the specified file name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relativeVector

    private java.util.Vector<RelativeEntry> relativeVector

Constructor Detail

### RelativeTable

    public RelativeTable()

Method Detail

### add

    public void add(RelativeEntry re)

### getRelativeVector

    public java.util.Vector<RelativeEntry> getRelativeVector()

### getRowRelativeVector

    public java.util.Vector<RelativeEntry> getRowRelativeVector()

### getColumnRelativeVector

    public java.util.Vector<RelativeEntry> getColumnRelativeVector()

### getColumnRowRelativeVector

    public java.util.Vector<RelativeEntry> getColumnRowRelativeVector()

### getRowColumnRelativeVector

    public java.util.Vector<RelativeEntry> getRowColumnRelativeVector()

### save

    public void save(java.lang.String fileName)
              throws java.io.IOException

  Saves a Table-object to a file with the specified file name.

  Throws:
    `java.io.IOException`

### save

    public void save(java.io.File file)
              throws java.io.IOException

  Saves a Table-object to the specified file.

  Throws:
    `java.io.IOException`

### printDTD

    public static void printDTD(java.io.PrintWriter pw)
                         throws java.io.IOException

  Prints the complete DTD of a Table-XML-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printPartDTD

    public static void printPartDTD(java.io.PrintWriter pw)
                             throws java.io.IOException

  Prints the DTD of a Table-XML-file to a `PrintWriter`. Only the elements. This method may be used when the Table-XML should be part of a larger XML.

  Throws:
    `java.io.IOException`

### printTableXSLReference

    public static void printTableXSLReference(java.io.PrintWriter pw)
                                       throws java.io.IOException

  Prints a reference to the Table-XSL-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints the Table to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printPartXML

    public void printPartXML(java.io.PrintWriter pw)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### printXSL

    public void printXSL(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints a basic XSL-file for Table XML-files to a `PrintWriter`.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD